%global _empty_manifest_terminate_build 0
Name:           python-oslo-middleware
Version:        4.2.0
Release:        3
Summary:        Oslo Middleware library
License:        Apache-2.0
URL:            https://docs.openstack.org/oslo.middleware/latest/
Source0:        https://files.pythonhosted.org/packages/b2/34/8ce0ce3787f14dda067e2a69507a1ab16709b15aaeb5b526104c44a43fb6/oslo.middleware-4.2.0.tar.gz
BuildArch:      noarch
%description
Oslo middleware library includes components that can be injected into wsgi pipelines to intercept request/response flows.
The base class can be enhanced with functionality like add/delete/modification of http headers and support for limiting
size/connection etc.

%package -n python3-oslo-middleware
Summary:        Oslo Middleware library
Provides:       python-oslo-middleware
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-jinja2
BuildRequires:  python3-webob
BuildRequires:  python3-debtcollector
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-context
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-statsd
BuildRequires:  python3-stevedore
# General requires
Requires:       python3-jinja2
Requires:       python3-webob
Requires:       python3-debtcollector
Requires:       python3-oslo-config
Requires:       python3-oslo-context
Requires:       python3-oslo-i18n
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-statsd
Requires:       python3-stevedore
%description -n python3-oslo-middleware
Oslo middleware library includes components that can be injected into wsgi pipelines to intercept request/response flows.
The base class can be enhanced with functionality like add/delete/modification of http headers and support for limiting
size/connection etc.

%package help
Summary:        Oslo Middleware library
Provides:       python3-oslo-middleware-doc
%description help
Oslo middleware library includes components that can be injected into wsgi pipelines to intercept request/response flows.
The base class can be enhanced with functionality like add/delete/modification of http headers and support for limiting
size/connection etc.

%prep
%autosetup -n oslo.middleware-%{version}

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-oslo-middleware -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 4.2.0-3
- Fix install error

* Tue Aug 3 2021 huangtianhua <huangtianhua@huawei.com> - 4.2.0-2
- Remove %check due the bandit version does not satisfied
* Mon Jul 12 2021 OpenStack_SIG <openstack@openeuler.org> - 4.2.0-1
- Upgrade to 4.2.0
* Fri Jan 29 2021 zhangy <zhangy1317@foxmail.com>
- Add buildrequires
* Fri Jan 08 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
